[Pkg-php-commits] r1208 - php5/branches/lenny/debian
Sean Finney
seanius at alioth.debian.org
Tue Jan 13 07:15:13 UTC 2009
tags 511049 pending
thanks
Author: seanius
Date: 2009-01-13 07:15:12 +0000 (Tue, 13 Jan 2009)
New Revision: 1208
Added:
php5/branches/lenny/debian/dfsg-repack.sh
Modified:
php5/branches/lenny/debian/changelog
php5/branches/lenny/debian/libapache2-mod-php5.postinst
php5/branches/lenny/debian/watch
Log:
merge apache start file fix from trunk
Modified: php5/branches/lenny/debian/changelog
===================================================================
--- php5/branches/lenny/debian/changelog 2009-01-13 07:05:24 UTC (rev 1207)
+++ php5/branches/lenny/debian/changelog 2009-01-13 07:15:12 UTC (rev 1208)
@@ -6,6 +6,8 @@
* Updated system tzdata patch from Joe Orton.
* Removed tzdb-nofree_ents_ifnotzdata.patch, which is now incorporated
into Joe's patch.
+ * Make sure a file used to track state is properly removed in the
+ postinst, thanks Raphael (closes: #511049).
* Two backported fixes from 5.2.8, thanks to Olivier Bonvalet for looking
them up.
- Upstream bug #46157 (PDOStatement::fetchObject prototype error)
@@ -18,6 +20,10 @@
- CVE-2008-5557: heap overflows in the mbstring extension.
Patch: CVE-2008-5557.patch (closes: #511493).
+ [ Raphael Geissert ]
+ * Ship script used to take an upstream tarball and remove the non
+ DFSG-free stuff, update watch file accordingly.
+
[ Thijs Kinkhorst ]
* Correct description typo, thanks Mathias Brodala (Closes: #508989).
* Fix watch file to mangle version.
Copied: php5/branches/lenny/debian/dfsg-repack.sh (from rev 1203, php5/trunk/debian/dfsg-repack.sh)
===================================================================
--- php5/branches/lenny/debian/dfsg-repack.sh (rev 0)
+++ php5/branches/lenny/debian/dfsg-repack.sh 2009-01-13 07:15:12 UTC (rev 1208)
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+set -e
+
+if [ ! -f "$3" ] && [ ! -f "$1" ]; then
+ echo "This script must be run via uscan or by manually specifying the tarball" >&2
+ exit 1
+fi
+
+tarball=
+
+[ -f "$3" ] && tarball="$3"
+[ -z "$tarball" -a -f "$1" ] && tarball="$1"
+
+fname="$(basename "$tarball")"
+tarball="$(readlink -f "$tarball")"
+
+tdir="$(mktemp -d)"
+trap '[ ! -d "$tdir" ] || rm -r "$tdir"' EXIT
+
+zcat "$tarball" | tar --wildcards --delete '*/ext/dbase' > "$tdir/${fname/.gz}"
+#touch -m -r "$tarball" "$tdir/${fname/.gz}"
+gzip -9 "$tdir/${fname/.gz}"
+
+mv "$tarball" "$tarball.bkp"
+mv "$tdir/$fname" "$tarball"
Modified: php5/branches/lenny/debian/libapache2-mod-php5.postinst
===================================================================
--- php5/branches/lenny/debian/libapache2-mod-php5.postinst 2009-01-13 07:05:24 UTC (rev 1207)
+++ php5/branches/lenny/debian/libapache2-mod-php5.postinst 2009-01-13 07:15:12 UTC (rev 1208)
@@ -44,6 +44,7 @@
# recover the previous state
if [ -e /etc/php5/apache2/.start ]; then
a2enmod php5 >/dev/null || true
+ rm -f /etc/php5/apache2/.start
fi
# we're upgrading. test if we're enabled, and if so, restart to reload the module.
if [ -e /etc/apache2/mods-enabled/php5.load ]; then
Modified: php5/branches/lenny/debian/watch
===================================================================
--- php5/branches/lenny/debian/watch 2009-01-13 07:05:24 UTC (rev 1207)
+++ php5/branches/lenny/debian/watch 2009-01-13 07:15:12 UTC (rev 1208)
@@ -2,4 +2,4 @@
opts=downloadurlmangle=s#/a/#/this/#,\
filenamemangle=s#/get/(php-(5\.[0-9\.]*)\.tar\.gz)/.*#$1#,\
dversionmangle=s/\.dfsg\.\d+// \
-http://www.php.net/downloads.php /get/php-(5\.[0-9\.]*)\.tar\.gz/from/a/mirror
+http://www.php.net/downloads.php /get/php-(5\.[0-9\.]*)\.tar\.gz/from/a/mirror debian bash debian/dfsg-repack.sh
More information about the Pkg-php-commits
mailing list